# canvasinterface.cpp File Reference

Template File. More...

`#include <ETL/clock>`
`#include <synfig/valuenode_scale.h>`
`#include <synfig/valuenode_timedswap.h>`
`#include <synfig/valuenode_composite.h>`
`#include <synfig/valuenode_subtract.h>`
`#include <synfig/valuenode_linear.h>`
`#include <synfig/valuenode_reference.h>`
`#include <synfig/valuenode_twotone.h>`
`#include <synfig/valuenode_stripes.h>`
`#include <synfig/valuenode_bline.h>`
`#include <synfig/waypoint.h>`
`#include <synfig/loadcanvas.h>`
`#include <synfig/importer.h>`
`#include <synfig/guidset.h>`
`#include "canvasinterface.h"`
`#include "instance.h"`
`#include "actions/layeradd.h"`
`#include "actions/valuedescconvert.h"`
`#include "actions/valuenodeadd.h"`
`#include "actions/editmodeset.h"`
`#include "action_system.h"`
`#include "main.h"`
`#include <synfig/gradient.h>`
`#include "general.h"`

## Functions

static int | _process_value_desc (const synfigapp::ValueDesc &value_desc, std::vector< synfigapp::ValueDesc > &out, synfig::GUIDSet &guid_set)

## Detailed Description

Template File.

$Id$

## Function Documentation

static int _process_value_desc | ( | const synfigapp::ValueDesc & | value_desc,
|  | std::vector< synfigapp::ValueDesc > & | out,
|  | synfig::GUIDSet & | guid_set |
| ) |  |  | `[static]`

References synfigapp::CanvasInterface::find_important_value_descs(), synfigapp::ValueDesc::get_value(), synfigapp::ValueDesc::get_value_node(), synfigapp::ValueDesc::get_value_type(), and synfigapp::ValueDesc::is_value_node().

Referenced by synfigapp::CanvasInterface::find_important_value_descs().